### Class

# AppStream Image

#### Description

    class AppStream.Image : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### as_image_new

Creates a new `AsImage`.

#### Instance methods

###### as_image_get_height

Gets the image height.

###### as_image_get_kind

Gets the image kind.

###### as_image_get_locale

Get locale for this image.

since: 0.9.5

###### as_image_get_scale

Gets the image integer scale factor.

###### as_image_get_url

Gets the full qualified URL for the image, usually pointing at some mirror.

###### as_image_get_width

Gets the image width.

###### as_image_set_height

Sets the image height.

###### as_image_set_kind

Sets the image kind.

###### as_image_set_locale

Sets the locale for this image.

since: 0.9.5

###### as_image_set_scale

Sets the image scale factor.

###### as_image_set_url

Sets the fully-qualified mirror URL to use for the image.

###### as_image_set_width

Sets the image width.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AppStreamImageClass {
      GObjectClass parent_class;
      void (* _as_reserved1) (
    void
      );
      void (* _as_reserved2) (
    void
      );
      void (* _as_reserved3) (
    void
      );
      void (* _as_reserved4) (
    void
      );
      void (* _as_reserved5) (
    void
      );
      void (* _as_reserved6) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`_as_reserved1: void (* _as_reserved1) ( void )`

  No description available.

`_as_reserved2: void (* _as_reserved2) ( void )`

  No description available.

`_as_reserved3: void (* _as_reserved3) ( void )`

  No description available.

`_as_reserved4: void (* _as_reserved4) ( void )`

  No description available.

`_as_reserved5: void (* _as_reserved5) ( void )`

  No description available.

`_as_reserved6: void (* _as_reserved6) ( void )`

  No description available.